PostgreSQL fixes for 10.7 upgrade

Description

A few Postgres issues when updating to 10.7.0:

  • boolean values in update scripts need to be quoted

  • update with join syntax wrong in update scripts

  • change column definition SQL so it drops NOT NULL requirement if column is nullable (esp. for _deprecated_ columns)

Environment

Running against PostgreSQL database

Assignee

Unassigned

Reporter

Seb Duggan

Labels

None

Accepted

Yes

Fix versions

Affects versions

Priority

Medium
Configure